# ListBatchSearches

Lists all batch searches that were previously submitted.

`GET /trading-partners/batch-searches`

**API:** Avalara E-Invoicing API
**Tag:** Trading Partners
**API Version:** 1.3
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.3/methods/Trading%20Partners/ListBatchSearches/

## Description

This endpoint retrieves a list of all batch search operations that have been previously submitted. It returns details such as the batch search ID, status, creation date, and associated metadata. It is useful for tracking the progress of a previously initiated batch search operations.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | The HTTP Header meant to specify the version of the API intended to be used. |
| `X-Avalara-Client` | string | header | No | You can freely use any text you wish for this value. This feature can help you diagnose and solve problems with your software. The header can be treated like a "Fingerprint". |
| `$filter` | string | query | No | Filters the results by field name. Only the eq operator and the name field is supported. For more information, refer to [AvaTax filtering guide](https://developer.avalara.com/avatax/filtering-in-rest/). |
| `count` | boolean | query | No | When set to true, returns the total count of matching records included as @recordSetCount in the response body. |
| `$top` | string | query | No | If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 200 records. |
| `$skip` | string | query | No | If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets. |
| `$orderBy` | string | query | No | The $orderBy query parameter specifies the field and sorting direction for ordering the result set. The value is a string that combines a field name and a sorting direction (asc for ascending or desc for descending), separated by a space. |
| `X-Correlation-ID` | string | header | No | The caller can use this as an identifier to use as a correlation id to trace the call. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | List of batch searches | `BatchSearchListResponse` |
| 400 | Bad request | `ErrorResponse` |
| 401 | Unauthorized | `BatchSearchListResponse` |
| 403 | Forbidden | `ErrorResponse` |
| 500 | Internal server error | `ErrorResponse` |

### 200 Response: `BatchSearchListResponse`

Response schema for listing batch search details.

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordSetCount` | integer | No | The count of records in the result set |
| `@nextLink` | string | No | Next Link |
| `value` | BatchSearch[] | No | List of batch search records. |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/trading-partners/batch-searches" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```